package command;

import party.PartyInfo;
import state.PlaceState;
import state.PokeStateBaton;
import state.PokeStatePlace;
import state.PokeStateWhole;

/*
*  MyCommandRTNクラス
*
*  思考ルーチンを記述するクラスです。
*  「Sample3_TaimanCalc10000」用です。
*
*  変更履歴
*  2020/11/04 完成
*  2020/11/08 コンストラクタ追加
*
*/

public class MyCommandRTN extends CommandRTN {

	/* デフォルトコンストラクタ
	 *   引数　　　：無し
	 *   例外　　　：無し
	 */
    public MyCommandRTN() {
    	super();
    }

	/* コンストラクタ（オブジェクト設定用）
	 *   引数　　　：PartyInfoオブジェクト（P1）、PartyInfoオブジェクト（P2）、
	 *   　　　　　：PokeStatePlaceオブジェクト（P1）、PokeStatePlaceオブジェクト（P2）、
	 *   　　　　　：PokeStateBatonオブジェクト（P1）、PokeStatebatonオブジェクト（P2）、
	 *   　　　　　：PokeStateWholeオブジェクト（P1）、PokeStateWholeオブジェクト（P2）、
	 *   　　　　　：PlaceStateオブジェクト、
	 *   　　　　　：ChoiceCommandオブジェクト（P1）、ChoiceCommandオブジェクト（P2）、
	 *   　　　　　：MoveChangeCommandオブジェクト（P1）、MoveChangeCommandオブジェクト（P2）、
	 *   　　　　　：プレイヤー名（P1）（String）、プレイヤー名（P2）（String）
	 *   例外　　　：無し
	 */
    public MyCommandRTN(PartyInfo partyInfoP1, PartyInfo partyInfoP2,
                         PokeStatePlace pokeStatePlaceP1, PokeStatePlace pokeStatePlaceP2,
                         PokeStateBaton pokeStateBatonP1, PokeStateBaton pokeStateBatonP2,
                         PokeStateWhole pokeStateWholeP1, PokeStateWhole pokeStateWholeP2,
                         PlaceState placeState,
                         ChoiceCommand choiceCommandP1, ChoiceCommand choiceCommandP2,
                         MoveChangeCommand moveChangeCommandP1, MoveChangeCommand moveChangeCommandP2,
                         String playerNameP1, String playerNameP2) {
    	super(partyInfoP1,
    		  partyInfoP2,
    		  pokeStatePlaceP1,
    		  pokeStatePlaceP2,
    		  pokeStateBatonP1,
    		  pokeStateBatonP2,
    		  pokeStateWholeP1,
    		  pokeStateWholeP2,
    		  placeState,
    		  choiceCommandP1,
    		  choiceCommandP2,
    		  moveChangeCommandP1,
    		  moveChangeCommandP2,
    		  playerNameP1,
    		  playerNameP2);
    }

	/* 初期状態指定メソッド（パーティ選択前用）…パーティ選択前から前提条件を指定したい場合はここに記述して下さい
	 *   引数　　　：無し
	 *   戻り値　　：無し
	 *   例外　　　：無し（例外発生時は処理終了）
	 */
    public void initStateSelectBeforePartySelect() {
    	// choiceOmitFlag = true; // 指定する場合はこのコメントアウトを外してください
    }

	/* 選出メソッド（P1用）…ルーチンはここに記述して下さい
	 *   引数　　　：無し
	 *   戻り値　　：無し
	 *   例外　　　：無し（例外発生時は処理終了）
	 */
    public void choiceP1() {
    	if (!choiceOmitFlag) {
    		partyInfoP1.pokeStateUnitSet(partyInfoP1.pokeMoldArray[0], playerNameP1);
    		partyInfoP1.pokeStateUnitChange(0);
    	}
    }

	/* 選出メソッド（P2用）…ルーチンはここに記述して下さい
	 *   引数　　　：無し
	 *   戻り値　　：無し
	 *   例外　　　：無し（例外発生時は処理終了）
	 */
    public void choiceP2() {
    	if (!choiceOmitFlag) {
    		partyInfoP2.pokeStateUnitSet(partyInfoP2.pokeMoldArray[0], playerNameP2);
    		partyInfoP2.pokeStateUnitChange(0);
    	}
    }

	/* 初期状態指定メソッド（選出後用）…選出後に前提条件を指定したい場合はここに記述して下さい。非対話式用です。
	 *   引数　　　：無し
	 *   戻り値　　：無し
	 *   例外　　　：無し（例外発生時は処理終了）
	 */
    public void initStateSelectAfterChoice() {
    }

	/* ターン開始時の行動選択メソッド（P1用）…ルーチンはここに記述して下さい
	 *   引数　　　：無し
	 *   戻り値　　：無し
	 *   例外　　　：無し（例外発生時は処理終了）
	 */
    public void moveChangeP1() {
    	if (partyInfoP1.pokeStateUnitArray[partyInfoP1.pokeStateUnitArrayIndex].movePP[0] != 0) {
    		pokeStatePlaceP1.moveIndex = 0;
    	} else if (partyInfoP1.pokeStateUnitArray[partyInfoP1.pokeStateUnitArrayIndex].movePP[1] != 0) {
    		pokeStatePlaceP1.moveIndex = 1;
    	} else if (partyInfoP1.pokeStateUnitArray[partyInfoP1.pokeStateUnitArrayIndex].movePP[2] != 0) {
    		pokeStatePlaceP1.moveIndex = 2;
    	} else if (partyInfoP1.pokeStateUnitArray[partyInfoP1.pokeStateUnitArrayIndex].movePP[3] != 0) {
    		pokeStatePlaceP1.moveIndex = 3;
    	} else {
    		// 悪あがき発動
    	}
    }

	/* ターン開始時の行動選択メソッド（P2用）…ルーチンはここに記述して下さい
	 *   引数　　　：無し
	 *   戻り値　　：無し
	 *   例外　　　：無し（例外発生時は処理終了）
	 */
    public void moveChangeP2() {
    	if (partyInfoP2.pokeStateUnitArray[partyInfoP2.pokeStateUnitArrayIndex].movePP[0] != 0) {
    		pokeStatePlaceP2.moveIndex = 0;
    	} else if (partyInfoP2.pokeStateUnitArray[partyInfoP2.pokeStateUnitArrayIndex].movePP[1] != 0) {
    		pokeStatePlaceP2.moveIndex = 1;
    	} else if (partyInfoP2.pokeStateUnitArray[partyInfoP2.pokeStateUnitArrayIndex].movePP[2] != 0) {
    		pokeStatePlaceP2.moveIndex = 2;
    	} else if (partyInfoP2.pokeStateUnitArray[partyInfoP2.pokeStateUnitArrayIndex].movePP[3] != 0) {
    		pokeStatePlaceP2.moveIndex = 3;
    	} else {
    		// 悪あがき発動
    	}
    }

	/* 死に出し交代先指定メソッド（P1用）…ルーチンはここに記述して下さい
	 *   引数　　　：無し
	 *   戻り値　　：無し
	 *   例外　　　：無し（例外発生時は処理終了）
	 */
    public void changeWhenFaintedP1() {
    	pokeStatePlaceP1.changeTarget = 0;
    	for(int i = 0; i < 6; i++){
    		if (partyInfoP1.pokeStateUnitArray[i] != null) {
    			if (partyInfoP1.pokeStateUnitArray[i].actualHP > 0) {
    				if (i != partyInfoP1.pokeStateUnitArrayIndex) {
    					pokeStatePlaceP1.changeTarget = i;
    					break;
    				}
    			}
    		}
    	}
    }

	/* 死に出し交代先指定メソッド（P2用）…ルーチンはここに記述して下さい
	 *   引数　　　：無し
	 *   戻り値　　：無し
	 *   例外　　　：無し（例外発生時は処理終了）
	 */
    public void changeWhenFaintedP2() {
    	pokeStatePlaceP2.changeTarget = 0;
    	for(int i = 0; i < 6; i++){
    		if (partyInfoP2.pokeStateUnitArray[i] != null) {
    			if (partyInfoP2.pokeStateUnitArray[i].actualHP > 0) {
    				if (i != partyInfoP2.pokeStateUnitArrayIndex) {
    					pokeStatePlaceP2.changeTarget = i;
    					break;
    				}
    			}
    		}
    	}
    }

	/* バトンタッチ交代先指定メソッド（P1用）…ルーチンはここに記述して下さい
	 *   引数　　　：無し
	 *   戻り値　　：無し
	 *   例外　　　：無し（例外発生時は処理終了）
	 */
    public void changeWhenBatonP1() {
    	pokeStatePlaceP1.changeTarget = 0;
    	for(int i = 0; i < 6; i++){
    		if (partyInfoP1.pokeStateUnitArray[i] != null) {
    			if (partyInfoP1.pokeStateUnitArray[i].actualHP > 0) {
    				if (i != partyInfoP1.pokeStateUnitArrayIndex) {
    					pokeStatePlaceP1.changeTarget = i;
    					break;
    				}
    			}
    		}
    	}
    }

	/* バトンタッチ交代先指定メソッド（P2用）…ルーチンはここに記述して下さい
	 *   引数　　　：無し
	 *   戻り値　　：無し
	 *   例外　　　：無し（例外発生時は処理終了）
	 */
    public void changeWhenBatonP2() {
    	pokeStatePlaceP2.changeTarget = 0;
    	for(int i = 0; i < 6; i++){
    		if (partyInfoP2.pokeStateUnitArray[i] != null) {
    			if (partyInfoP2.pokeStateUnitArray[i].actualHP > 0) {
    				if (i != partyInfoP2.pokeStateUnitArrayIndex) {
    					pokeStatePlaceP2.changeTarget = i;
    					break;
    				}
    			}
    		}
    	}
    }

}
