package facade;

import java.io.IOException;

import util.CommandScanner;
import util.DialogUtil;

/*
*  TurnControlFacadeWithCommentクラス
*
*  TurnControlFacadeクラスにコメント機能を追加したクラスです。
*  Sample4_PseudoBattleSupporter用です。
*
*  変更履歴
*  2020/11/21 完成
*
*/

public class TurnControlFacadeWithComment extends TurnControlFacade {

	/* デフォルトコンストラクタ
	 *   引数　　　：無し
	 *   例外　　　：無し
	 */
    public TurnControlFacadeWithComment() {
    	super();
    }

    /* ポケモン選出（1P・2P）
	 *   引数　　　：無し
	 *   戻り値　　：無し
	 *   例外　　　：無し
	 */
    public void pokemonSelect () {
    	this.commandRTN.choice();
    	try {
    		String inputText;
    		inputText = CommandScanner.commandScan("コメント：");
    		DialogUtil.dialogMessageOutput("コメント："+inputText);
		} catch (IOException e1) {
			System.out.println("ログ出力に失敗したので終了します。");
    		System.exit(1);
		}
    	this.pokeStatePlaceP1.changeBatonInitCommon(this.partyInfoP1.pokeStateUnitArray[0].speciesNameDisp);
    	this.pokeStatePlaceP2.changeBatonInitCommon(this.partyInfoP2.pokeStateUnitArray[0].speciesNameDisp);
    	this.pokeStateBatonP1.changeBatonInitCommon(this.partyInfoP1.pokeStateUnitArray[0].speciesNameDisp, false);
    	this.pokeStateBatonP2.changeBatonInitCommon(this.partyInfoP2.pokeStateUnitArray[0].speciesNameDisp, false);
    	return;
    }

    /* ターン終了時処理（全体）
	 *   引数　　　：無し
	 *   戻り値　　：無し
	 *   例外　　　：無し
	 */
    public void turnEndCalc () {

    	// 終了フラグがTrueなら処理終了
    	if (this.endFlag) {
    		return;
    	}

    	// ターン終了時処理（先手）
    	try {
			this.turnEndCalc.turnEndCalcCommon(this.partyInfoHand[0],
					                            this.pokeStatePlaceHand[0],
					                            this.pokeStatePlaceHand[1],
					                            this.pokeStateBatonHand[0],
					                            this.pokeStateWholeHand[0],
					                            this.placeState);
		} catch (IOException e) {
			System.out.println("ログ出力に失敗したので終了します。");
    		System.exit(1);
		}

    	// ターン終了時処理（後手）
    	try {
			this.turnEndCalc.turnEndCalcCommon(this.partyInfoHand[1],
					                            this.pokeStatePlaceHand[1],
					                            this.pokeStatePlaceHand[0],
					                            this.pokeStateBatonHand[1],
					                            this.pokeStateWholeHand[1],
					                            this.placeState);
		} catch (IOException e) {
			System.out.println("ログ出力に失敗したので終了します。");
    		System.exit(1);
		}

    	// 死に出し判定（全体）
    	this.judgeFaintedChange();

    	// コメント
    	String inputText;
    	inputText = CommandScanner.commandScan("コメント：");
    	try {
			DialogUtil.dialogMessageOutput("コメント："+inputText);
		} catch (IOException e) {
			System.out.println("ログ出力に失敗したので終了します。");
    		System.exit(1);
		}

    	return;

    }

    /* 勝敗判定（全体）
	 *   引数　　　：無し
	 *   戻り値　　：無し
	 *   例外　　　：無し
	 */
    public void winningJudge () {
    	this.winningJudgeCalc.winningJudgeCommon(this.partyInfoP1,
                                                  this.partyInfoP2,
                                                  this.pokeStateBatonP1,
                                                  this.pokeStateBatonP2);
    	this.winner = this.winningJudgeCalc.winner;
    	this.endTurn = this.placeState.currentTrun;
    	try {
			DialogUtil.dialogMessageOutput("");
			DialogUtil.dialogMessageOutput("【対戦終了】");
			DialogUtil.dialogMessageOutput("勝者：P"+winner);
			String inputText;
			inputText = CommandScanner.commandScan("コメント：");
			DialogUtil.dialogMessageOutput("コメント："+inputText);
		} catch (IOException e1) {
			System.out.println("ログ出力に失敗したので終了します。");
    		System.exit(1);
		}
		return;
    }

}
