package main;

import java.io.IOException;

import mold.PokeMold;
import party.PartyInfo;
import util.DialogUtil;

/*
*  Sample1_StatusCalcEachSpeedEffortLevelクラス
*
*  サンプルのメインクラスです。
*  素早さ実数値を素早さ努力レベル毎に算出します。
*
*  変更履歴
*  2019/04/13 新規作成
*
*/

public class Sample1_StatusCalcEachSpeedEffortLevel {

    public static void main(String[] args) {

    	/* 非対話式の処理なので対話式スイッチはOFF */
    	/* （これを作っている時点で対話式は未実装なので意味のない処理） */
    	DialogUtil.dialogSwitch = 0;

    	/* パーティテキストファイルの読み込み */
    	PartyInfo partyInfo1 = new PartyInfo();
    	try {
			partyInfo1.partyTextFileRead(args[0]);
		} catch (NullPointerException e) {
			System.out.println("パーティテキストファイルが０行でないか確認してください。");
		} catch (IOException e) {
			System.out.println("confフォルダ内にパーティテキストファイル "+args[0]+" が見つかりません。");
		}

    	/* PokeMoldクラスの生成と種族情報の取得 */
    	PokeMold pokeMold1 = new PokeMold();
    	pokeMold1.partyTextSplit(partyInfo1.partyTextArray[0]);
    	pokeMold1.speciesInfoSet();

    	/* レベル、種族、素早さ個体値の出力 */
    	System.out.println("【素早さ努力レベル毎の素早さ実数値の出力】");
    	System.out.println("レベル："+pokeMold1.level);
    	System.out.println("種族名："+pokeMold1.speciesName);
    	System.out.println("素早さ個体値："+pokeMold1.speedIndividualValue);

    	/* 素早さ努力レベルを変えながら素早さ実数値を算出 */
    	for (int i = 0; i <= 63; i++) {
    		pokeMold1.speedEffortLevel = i;
    		pokeMold1.statusCalc();
    		System.out.println("素早さ努力レベル："+String.format("%02d",pokeMold1.speedEffortLevel)+
    				"…素早さ実数値："+String.format("%03d",pokeMold1.speed));
    	}
    }
}
