package mold;

import java.util.HashMap;

/*
*  PBSItemIDsクラス
*
*  PBSで使用している持ち物IDを管理するクラスです。
*
*  変更履歴
*  2021/01/11 新規作成
*
*/

public class PBSItemIDs {

	private String PBSItemIDList[][] = new String[2][209];
	public HashMap<String, String> PBSItemIDMap = new HashMap<String, String>();
	public HashMap<String, String> PBSIDItemMap = new HashMap<String, String>();

	/* デフォルトコンストラクタ：HashMapの作成 */
    public PBSItemIDs() {

    	PBSItemIDList[0][0] = "0"; PBSItemIDList[1][0] = "持ち物無し";
    	PBSItemIDList[0][1] = "2"; PBSItemIDList[1][1] = "マスターボール";
    	PBSItemIDList[0][2] = "3"; PBSItemIDList[1][2] = "ハイパーボール";
    	PBSItemIDList[0][3] = "4"; PBSItemIDList[1][3] = "ひかりのこな";
    	PBSItemIDList[0][4] = "5"; PBSItemIDList[1][4] = "スーパーボール";
    	PBSItemIDList[0][5] = "6"; PBSItemIDList[1][5] = "モンスターボール";
    	PBSItemIDList[0][6] = "7"; PBSItemIDList[1][6] = "カビチュウ";
    	PBSItemIDList[0][7] = "8"; PBSItemIDList[1][7] = "じてんしゃ";
    	PBSItemIDList[0][8] = "9"; PBSItemIDList[1][8] = "つきのいし";
    	PBSItemIDList[0][9] = "10"; PBSItemIDList[1][9] = "どくけし";
    	PBSItemIDList[0][10] = "11"; PBSItemIDList[1][10] = "やけどなおし";
    	PBSItemIDList[0][11] = "12"; PBSItemIDList[1][11] = "こおりなおし";
    	PBSItemIDList[0][12] = "13"; PBSItemIDList[1][12] = "ねむけざまし";
    	PBSItemIDList[0][13] = "14"; PBSItemIDList[1][13] = "まひなおし";
    	PBSItemIDList[0][14] = "15"; PBSItemIDList[1][14] = "かいふくのくすり";
    	PBSItemIDList[0][15] = "16"; PBSItemIDList[1][15] = "まんたんのくすり";
    	PBSItemIDList[0][16] = "17"; PBSItemIDList[1][16] = "すごいキズぐすり";
    	PBSItemIDList[0][17] = "18"; PBSItemIDList[1][17] = "いいキズぐすり";
    	PBSItemIDList[0][18] = "19"; PBSItemIDList[1][18] = "キズぐすり";
    	PBSItemIDList[0][19] = "20"; PBSItemIDList[1][19] = "あなぬけのヒモ";
    	PBSItemIDList[0][20] = "21"; PBSItemIDList[1][20] = "むしよけスプレー";
    	PBSItemIDList[0][21] = "22"; PBSItemIDList[1][21] = "ピーピーマックス";
    	PBSItemIDList[0][22] = "23"; PBSItemIDList[1][22] = "ほのおのいし";
    	PBSItemIDList[0][23] = "24"; PBSItemIDList[1][23] = "かみなりのいし";
    	PBSItemIDList[0][24] = "25"; PBSItemIDList[1][24] = "みずのいし";
    	PBSItemIDList[0][25] = "27"; PBSItemIDList[1][25] = "マックスアップ";
    	PBSItemIDList[0][26] = "28"; PBSItemIDList[1][26] = "タウリン";
    	PBSItemIDList[0][27] = "29"; PBSItemIDList[1][27] = "ブロムヘキシン";
    	PBSItemIDList[0][28] = "30"; PBSItemIDList[1][28] = "インドメタシン";
    	PBSItemIDList[0][29] = "31"; PBSItemIDList[1][29] = "ラッキーパンチ";
    	PBSItemIDList[0][30] = "32"; PBSItemIDList[1][30] = "リゾチウム";
    	PBSItemIDList[0][31] = "33"; PBSItemIDList[1][31] = "ふしぎなアメ";
    	PBSItemIDList[0][32] = "34"; PBSItemIDList[1][32] = "ヨクアタール";
    	PBSItemIDList[0][33] = "35"; PBSItemIDList[1][33] = "リーフのいし";
    	PBSItemIDList[0][34] = "36"; PBSItemIDList[1][34] = "メタルパウダー";
    	PBSItemIDList[0][35] = "37"; PBSItemIDList[1][35] = "きんのたま";
    	PBSItemIDList[0][36] = "38"; PBSItemIDList[1][36] = "ピッピにんぎょう";
    	PBSItemIDList[0][37] = "39"; PBSItemIDList[1][37] = "なんでもなおし";
    	PBSItemIDList[0][38] = "40"; PBSItemIDList[1][38] = "げんきのかけら";
    	PBSItemIDList[0][39] = "41"; PBSItemIDList[1][39] = "げんきのかたまり";
    	PBSItemIDList[0][40] = "42"; PBSItemIDList[1][40] = "エフェクトガード";
    	PBSItemIDList[0][41] = "43"; PBSItemIDList[1][41] = "シルバースプレー";
    	PBSItemIDList[0][42] = "44"; PBSItemIDList[1][42] = "ゴールドスプレー";
    	PBSItemIDList[0][43] = "45"; PBSItemIDList[1][43] = "クリティカッター";
    	PBSItemIDList[0][44] = "47"; PBSItemIDList[1][44] = "おいしいみず";
    	PBSItemIDList[0][45] = "48"; PBSItemIDList[1][45] = "サイコソーダ";
    	PBSItemIDList[0][46] = "49"; PBSItemIDList[1][46] = "ミックスオレ";
    	PBSItemIDList[0][47] = "50"; PBSItemIDList[1][47] = "プラスパワー";
    	PBSItemIDList[0][48] = "52"; PBSItemIDList[1][48] = "ディフェンダー";
    	PBSItemIDList[0][49] = "53"; PBSItemIDList[1][49] = "スピーダー";
    	PBSItemIDList[0][50] = "54"; PBSItemIDList[1][50] = "スペシャルアップ";
    	PBSItemIDList[0][51] = "55"; PBSItemIDList[1][51] = "コインケース";
    	PBSItemIDList[0][52] = "56"; PBSItemIDList[1][52] = "ダウジングマシン";
    	PBSItemIDList[0][53] = "58"; PBSItemIDList[1][53] = "がくしゅうそうち";
    	PBSItemIDList[0][54] = "59"; PBSItemIDList[1][54] = "ぼろのつりざお";
    	PBSItemIDList[0][55] = "60"; PBSItemIDList[1][55] = "いいつりざお";
    	PBSItemIDList[0][56] = "61"; PBSItemIDList[1][56] = "ぎんのはっぱ";
    	PBSItemIDList[0][57] = "62"; PBSItemIDList[1][57] = "すごいつりざお";
    	PBSItemIDList[0][58] = "63"; PBSItemIDList[1][58] = "ポイントアップ";
    	PBSItemIDList[0][59] = "64"; PBSItemIDList[1][59] = "ピーピーエイド";
    	PBSItemIDList[0][60] = "65"; PBSItemIDList[1][60] = "ピーピーリカバー";
    	PBSItemIDList[0][61] = "66"; PBSItemIDList[1][61] = "ピーピーエイダー";
    	PBSItemIDList[0][62] = "67"; PBSItemIDList[1][62] = "あかいウロコ";
    	PBSItemIDList[0][63] = "68"; PBSItemIDList[1][63] = "ひでんのくすり";
    	PBSItemIDList[0][64] = "69"; PBSItemIDList[1][64] = "ふねのチケット";
    	PBSItemIDList[0][65] = "70"; PBSItemIDList[1][65] = "ふしぎなタマゴ";
    	PBSItemIDList[0][66] = "72"; PBSItemIDList[1][66] = "ぎんいろのはね";
    	PBSItemIDList[0][67] = "73"; PBSItemIDList[1][67] = "モーモーミルク";
    	PBSItemIDList[0][68] = "74"; PBSItemIDList[1][68] = "せんせいのツメ";
    	PBSItemIDList[0][69] = "75"; PBSItemIDList[1][69] = "どくけしのみ";
    	PBSItemIDList[0][70] = "76"; PBSItemIDList[1][70] = "きんのはっぱ";
    	PBSItemIDList[0][71] = "77"; PBSItemIDList[1][71] = "やわらかいすな";
    	PBSItemIDList[0][72] = "78"; PBSItemIDList[1][72] = "するどいくちばし";
    	PBSItemIDList[0][73] = "79"; PBSItemIDList[1][73] = "まひなおしのみ";
    	PBSItemIDList[0][74] = "80"; PBSItemIDList[1][74] = "やけたきのみ";
    	PBSItemIDList[0][75] = "81"; PBSItemIDList[1][75] = "こおったきのみ";
    	PBSItemIDList[0][76] = "82"; PBSItemIDList[1][76] = "どくバリ";
    	PBSItemIDList[0][77] = "83"; PBSItemIDList[1][77] = "おうじゃのしるし";
    	PBSItemIDList[0][78] = "84"; PBSItemIDList[1][78] = "にがいきのみ";
    	PBSItemIDList[0][79] = "85"; PBSItemIDList[1][79] = "はっかのみ";
    	PBSItemIDList[0][80] = "86"; PBSItemIDList[1][80] = "あかぼんぐり";
    	PBSItemIDList[0][81] = "87"; PBSItemIDList[1][81] = "ちいさなキノコ";
    	PBSItemIDList[0][82] = "88"; PBSItemIDList[1][82] = "おおきなキノコ";
    	PBSItemIDList[0][83] = "89"; PBSItemIDList[1][83] = "ぎんのこな";
    	PBSItemIDList[0][84] = "90"; PBSItemIDList[1][84] = "あおぼんぐり";
    	PBSItemIDList[0][85] = "92"; PBSItemIDList[1][85] = "おまもりこばん";
    	PBSItemIDList[0][86] = "93"; PBSItemIDList[1][86] = "きぼんぐり";
    	PBSItemIDList[0][87] = "94"; PBSItemIDList[1][87] = "みどぼんぐり";
    	PBSItemIDList[0][88] = "95"; PBSItemIDList[1][88] = "きよめのおふだ";
    	PBSItemIDList[0][89] = "96"; PBSItemIDList[1][89] = "しんぴのしずく";
    	PBSItemIDList[0][90] = "97"; PBSItemIDList[1][90] = "まがったスプーン";
    	PBSItemIDList[0][91] = "98"; PBSItemIDList[1][91] = "しろぼんぐり";
    	PBSItemIDList[0][92] = "99"; PBSItemIDList[1][92] = "くろおび";
    	PBSItemIDList[0][93] = "100"; PBSItemIDList[1][93] = "くろぼんぐり";
    	PBSItemIDList[0][94] = "102"; PBSItemIDList[1][94] = "ももぼんぐり";
    	PBSItemIDList[0][95] = "103"; PBSItemIDList[1][95] = "くろいめがね";
    	PBSItemIDList[0][96] = "104"; PBSItemIDList[1][96] = "おいしいシッポ";
    	PBSItemIDList[0][97] = "105"; PBSItemIDList[1][97] = "ピンクのリボン";
    	PBSItemIDList[0][98] = "106"; PBSItemIDList[1][98] = "ながねぎ";
    	PBSItemIDList[0][99] = "107"; PBSItemIDList[1][99] = "けむりだま";
    	PBSItemIDList[0][100] = "108"; PBSItemIDList[1][100] = "とけないこおり";
    	PBSItemIDList[0][101] = "109"; PBSItemIDList[1][101] = "じしゃく";
    	PBSItemIDList[0][102] = "110"; PBSItemIDList[1][102] = "きせきのみ";
    	PBSItemIDList[0][103] = "111"; PBSItemIDList[1][103] = "しんじゅ";
    	PBSItemIDList[0][104] = "112"; PBSItemIDList[1][104] = "おおきなしんじゅ";
    	PBSItemIDList[0][105] = "113"; PBSItemIDList[1][105] = "かわらずのいし";
    	PBSItemIDList[0][106] = "114"; PBSItemIDList[1][106] = "のろいのおふだ";
    	PBSItemIDList[0][107] = "115"; PBSItemIDList[1][107] = "いかりまんじゅう";
    	PBSItemIDList[0][108] = "118"; PBSItemIDList[1][108] = "きせきのタネ";
    	PBSItemIDList[0][109] = "119"; PBSItemIDList[1][109] = "ふといホネ";
    	PBSItemIDList[0][110] = "120"; PBSItemIDList[1][110] = "きあいのハチマキ";
    	PBSItemIDList[0][111] = "122"; PBSItemIDList[1][111] = "ちからのこな";
    	PBSItemIDList[0][112] = "123"; PBSItemIDList[1][112] = "ちからねっこ";
    	PBSItemIDList[0][113] = "124"; PBSItemIDList[1][113] = "ばんのうごな";
    	PBSItemIDList[0][114] = "125"; PBSItemIDList[1][114] = "ふっかつそう";
    	PBSItemIDList[0][115] = "126"; PBSItemIDList[1][115] = "かたいいし";
    	PBSItemIDList[0][116] = "127"; PBSItemIDList[1][116] = "しあわせタマゴ";
    	PBSItemIDList[0][117] = "128"; PBSItemIDList[1][117] = "カードキー";
    	PBSItemIDList[0][118] = "129"; PBSItemIDList[1][118] = "きかいぶひん";
    	PBSItemIDList[0][119] = "131"; PBSItemIDList[1][119] = "おとしもの";
    	PBSItemIDList[0][120] = "132"; PBSItemIDList[1][120] = "ほしのすな";
    	PBSItemIDList[0][121] = "133"; PBSItemIDList[1][121] = "ほしのかけら";
    	PBSItemIDList[0][122] = "134"; PBSItemIDList[1][122] = "ちかのカギ";
    	PBSItemIDList[0][123] = "135"; PBSItemIDList[1][123] = "ていきけん";
    	PBSItemIDList[0][124] = "139"; PBSItemIDList[1][124] = "もくたん";
    	PBSItemIDList[0][125] = "140"; PBSItemIDList[1][125] = "きのみジュース";
    	PBSItemIDList[0][126] = "141"; PBSItemIDList[1][126] = "ピントレンズ";
    	PBSItemIDList[0][127] = "144"; PBSItemIDList[1][127] = "メタルコート";
    	PBSItemIDList[0][128] = "145"; PBSItemIDList[1][128] = "りゅうのキバ";
    	PBSItemIDList[0][129] = "147"; PBSItemIDList[1][129] = "たべのこし";
    	PBSItemIDList[0][130] = "151"; PBSItemIDList[1][130] = "ふしぎなきのみ";
    	PBSItemIDList[0][131] = "152"; PBSItemIDList[1][131] = "りゅうのウロコ";
    	PBSItemIDList[0][132] = "153"; PBSItemIDList[1][132] = "はかいのいでんし";
    	PBSItemIDList[0][133] = "157"; PBSItemIDList[1][133] = "せいなるはい";
    	PBSItemIDList[0][134] = "158"; PBSItemIDList[1][134] = "ヘビーボール";
    	PBSItemIDList[0][135] = "159"; PBSItemIDList[1][135] = "はながらボール";
    	PBSItemIDList[0][136] = "160"; PBSItemIDList[1][136] = "レベルボール";
    	PBSItemIDList[0][137] = "161"; PBSItemIDList[1][137] = "ルアーボール";
    	PBSItemIDList[0][138] = "162"; PBSItemIDList[1][138] = "スピードボール";
    	PBSItemIDList[0][139] = "164"; PBSItemIDList[1][139] = "でんきだま";
    	PBSItemIDList[0][140] = "165"; PBSItemIDList[1][140] = "フレンドボール";
    	PBSItemIDList[0][141] = "166"; PBSItemIDList[1][141] = "ムーンボール";
    	PBSItemIDList[0][142] = "167"; PBSItemIDList[1][142] = "ラブラブボール";
    	PBSItemIDList[0][143] = "168"; PBSItemIDList[1][143] = "きのはこ";
    	PBSItemIDList[0][144] = "169"; PBSItemIDList[1][144] = "きりのはこ";
    	PBSItemIDList[0][145] = "170"; PBSItemIDList[1][145] = "たいようのいし";
    	PBSItemIDList[0][146] = "171"; PBSItemIDList[1][146] = "みずたまリボン";
    	PBSItemIDList[0][147] = "173"; PBSItemIDList[1][147] = "アップグレード";
    	PBSItemIDList[0][148] = "174"; PBSItemIDList[1][148] = "きのみ";
    	PBSItemIDList[0][149] = "175"; PBSItemIDList[1][149] = "おうごんのみ";
    	PBSItemIDList[0][150] = "176"; PBSItemIDList[1][150] = "ゼニガメじょうろ";
    	PBSItemIDList[0][151] = "178"; PBSItemIDList[1][151] = "パークボール";
    	PBSItemIDList[0][152] = "179"; PBSItemIDList[1][152] = "にじいろのはね";
    	PBSItemIDList[0][153] = "181"; PBSItemIDList[1][153] = "かわらのかけら";
    	PBSItemIDList[0][154] = "182"; PBSItemIDList[1][154] = "なみのりメール";
    	PBSItemIDList[0][155] = "183"; PBSItemIDList[1][155] = "みずいろメール";
    	PBSItemIDList[0][156] = "184"; PBSItemIDList[1][156] = "にがおえメール";
    	PBSItemIDList[0][157] = "185"; PBSItemIDList[1][157] = "ラブリーメール";
    	PBSItemIDList[0][158] = "186"; PBSItemIDList[1][158] = "ブイブイメール";
    	PBSItemIDList[0][159] = "187"; PBSItemIDList[1][159] = "へんしんメール";
    	PBSItemIDList[0][160] = "188"; PBSItemIDList[1][160] = "あおぞらメール";
    	PBSItemIDList[0][161] = "189"; PBSItemIDList[1][161] = "おんぷメール";
    	PBSItemIDList[0][162] = "190"; PBSItemIDList[1][162] = "まぼろしメール";
    	PBSItemIDList[0][163] = "192"; PBSItemIDList[1][163] = "わざましん01";
    	PBSItemIDList[0][164] = "193"; PBSItemIDList[1][164] = "わざましん02";
    	PBSItemIDList[0][165] = "194"; PBSItemIDList[1][165] = "わざましん03";
    	PBSItemIDList[0][166] = "195"; PBSItemIDList[1][166] = "わざましん04";
    	PBSItemIDList[0][167] = "197"; PBSItemIDList[1][167] = "わざましん05";
    	PBSItemIDList[0][168] = "198"; PBSItemIDList[1][168] = "わざましん06";
    	PBSItemIDList[0][169] = "199"; PBSItemIDList[1][169] = "わざましん07";
    	PBSItemIDList[0][170] = "200"; PBSItemIDList[1][170] = "わざましん08";
    	PBSItemIDList[0][171] = "201"; PBSItemIDList[1][171] = "わざましん09";
    	PBSItemIDList[0][172] = "202"; PBSItemIDList[1][172] = "わざましん10";
    	PBSItemIDList[0][173] = "203"; PBSItemIDList[1][173] = "わざましん11";
    	PBSItemIDList[0][174] = "204"; PBSItemIDList[1][174] = "わざましん12";
    	PBSItemIDList[0][175] = "205"; PBSItemIDList[1][175] = "わざましん13";
    	PBSItemIDList[0][176] = "206"; PBSItemIDList[1][176] = "わざましん14";
    	PBSItemIDList[0][177] = "207"; PBSItemIDList[1][177] = "わざましん15";
    	PBSItemIDList[0][178] = "208"; PBSItemIDList[1][178] = "わざましん16";
    	PBSItemIDList[0][179] = "209"; PBSItemIDList[1][179] = "わざましん17";
    	PBSItemIDList[0][180] = "210"; PBSItemIDList[1][180] = "わざましん18";
    	PBSItemIDList[0][181] = "211"; PBSItemIDList[1][181] = "わざましん19";
    	PBSItemIDList[0][182] = "212"; PBSItemIDList[1][182] = "わざましん20";
    	PBSItemIDList[0][183] = "213"; PBSItemIDList[1][183] = "わざましん21";
    	PBSItemIDList[0][184] = "214"; PBSItemIDList[1][184] = "わざましん22";
    	PBSItemIDList[0][185] = "215"; PBSItemIDList[1][185] = "わざましん23";
    	PBSItemIDList[0][186] = "216"; PBSItemIDList[1][186] = "わざましん24";
    	PBSItemIDList[0][187] = "217"; PBSItemIDList[1][187] = "わざましん25";
    	PBSItemIDList[0][188] = "218"; PBSItemIDList[1][188] = "わざましん26";
    	PBSItemIDList[0][189] = "219"; PBSItemIDList[1][189] = "わざましん27";
    	PBSItemIDList[0][190] = "220"; PBSItemIDList[1][190] = "わざましん28";
    	PBSItemIDList[0][191] = "222"; PBSItemIDList[1][191] = "わざましん29";
    	PBSItemIDList[0][192] = "223"; PBSItemIDList[1][192] = "わざましん30";
    	PBSItemIDList[0][193] = "224"; PBSItemIDList[1][193] = "わざましん31";
    	PBSItemIDList[0][194] = "225"; PBSItemIDList[1][194] = "わざましん48";
    	PBSItemIDList[0][195] = "226"; PBSItemIDList[1][195] = "わざましん49";
    	PBSItemIDList[0][196] = "227"; PBSItemIDList[1][196] = "わざましん50";
    	PBSItemIDList[0][197] = "228"; PBSItemIDList[1][197] = "ひでんましん01";
    	PBSItemIDList[0][198] = "229"; PBSItemIDList[1][198] = "ひでんましん02";
    	PBSItemIDList[0][199] = "230"; PBSItemIDList[1][199] = "ひでんましん03";
    	PBSItemIDList[0][200] = "231"; PBSItemIDList[1][200] = "ひでんましん04";
    	PBSItemIDList[0][201] = "232"; PBSItemIDList[1][201] = "ひでんましん05";
    	PBSItemIDList[0][202] = "233"; PBSItemIDList[1][202] = "ひでんましん06";
    	PBSItemIDList[0][203] = "234"; PBSItemIDList[1][203] = "ひでんましん07";
    	PBSItemIDList[0][204] = "235"; PBSItemIDList[1][204] = "ひでんましん08";
    	PBSItemIDList[0][205] = "236"; PBSItemIDList[1][205] = "ひでんましん09";
    	PBSItemIDList[0][206] = "237"; PBSItemIDList[1][206] = "ひでんましん10";
    	PBSItemIDList[0][207] = "238"; PBSItemIDList[1][207] = "ひでんましん11";
    	PBSItemIDList[0][208] = "239"; PBSItemIDList[1][208] = "ひでんましん12";

       	for (int i = 0;i < 209; i++) {
    		PBSItemIDMap.put(PBSItemIDList[1][i],PBSItemIDList[0][i]);
    		PBSIDItemMap.put(PBSItemIDList[0][i],PBSItemIDList[1][i]);
    	}
    }

	/* 持ち物名からIDを取得するメソッド
	 *   引数　：持ち物名（String）
	 *   戻り値：ID（String）
	 *   例外　：無し（持ち物名に不正があっても例外を出さずに初期値採用で先に進む）
	 */
    public String IDGet(String Item) {
    	String ID;
    	ID = PBSItemIDMap.get(Item);
    	if (ID == null) {
    		ID = "0";
    	}
    	return ID;
    }

	/* IDから持ち物名を取得するメソッド
	 *   引数　：ID（String）
	 *   戻り値：持ち物名（String）
	 *   例外　：無し（持ち物名に不正があっても例外を出さずに初期値採用で先に進む）
	 */
    public String ItemGet(String ID) {
    	String Item;
    	Item = PBSIDItemMap.get(ID);
    	if (Item == null) {
    		Item = "持ち物無し";
    	}
    	return Item;
    }

}
