package mold;

import java.util.HashMap;

/*
*  PBSMoveIDsクラス
*
*  PBSで使用している技IDを管理するクラスです。
*
*  変更履歴
*  2021/01/11 新規作成
*
*/

public class PBSMoveIDs {

	private String PBSMoveIDList[][] = new String[2][252];
	public HashMap<String, String> PBSMoveIDMap = new HashMap<String, String>();
	public HashMap<String, String> PBSIDMoveMap = new HashMap<String, String>();

	/* デフォルトコンストラクタ：HashMapの作成 */
    public PBSMoveIDs() {

    	PBSMoveIDList[0][0] = "0"; PBSMoveIDList[1][0] = "技無し";
    	PBSMoveIDList[0][1] = "2"; PBSMoveIDList[1][1] = "はたく";
    	PBSMoveIDList[0][2] = "3"; PBSMoveIDList[1][2] = "からてチョップ";
    	PBSMoveIDList[0][3] = "4"; PBSMoveIDList[1][3] = "おうふくビンタ";
    	PBSMoveIDList[0][4] = "5"; PBSMoveIDList[1][4] = "れんぞくパンチ";
    	PBSMoveIDList[0][5] = "6"; PBSMoveIDList[1][5] = "メガトンパンチ";
    	PBSMoveIDList[0][6] = "7"; PBSMoveIDList[1][6] = "ネコにこばん";
    	PBSMoveIDList[0][7] = "8"; PBSMoveIDList[1][7] = "ほのおのパンチ";
    	PBSMoveIDList[0][8] = "9"; PBSMoveIDList[1][8] = "れいとうパンチ";
    	PBSMoveIDList[0][9] = "10"; PBSMoveIDList[1][9] = "かみなりパンチ";
    	PBSMoveIDList[0][10] = "11"; PBSMoveIDList[1][10] = "ひっかく";
    	PBSMoveIDList[0][11] = "12"; PBSMoveIDList[1][11] = "はさむ";
    	PBSMoveIDList[0][12] = "13"; PBSMoveIDList[1][12] = "ハサミギロチン";
    	PBSMoveIDList[0][13] = "14"; PBSMoveIDList[1][13] = "かまいたち";
    	PBSMoveIDList[0][14] = "15"; PBSMoveIDList[1][14] = "つるぎのまい";
    	PBSMoveIDList[0][15] = "16"; PBSMoveIDList[1][15] = "いあいぎり";
    	PBSMoveIDList[0][16] = "17"; PBSMoveIDList[1][16] = "かぜおこし";
    	PBSMoveIDList[0][17] = "18"; PBSMoveIDList[1][17] = "つばさでうつ";
    	PBSMoveIDList[0][18] = "19"; PBSMoveIDList[1][18] = "ふきとばし";
    	PBSMoveIDList[0][19] = "20"; PBSMoveIDList[1][19] = "そらをとぶ";
    	PBSMoveIDList[0][20] = "21"; PBSMoveIDList[1][20] = "しめつける";
    	PBSMoveIDList[0][21] = "22"; PBSMoveIDList[1][21] = "たたきつける";
    	PBSMoveIDList[0][22] = "23"; PBSMoveIDList[1][22] = "つるのムチ";
    	PBSMoveIDList[0][23] = "24"; PBSMoveIDList[1][23] = "ふみつけ";
    	PBSMoveIDList[0][24] = "25"; PBSMoveIDList[1][24] = "にどげり";
    	PBSMoveIDList[0][25] = "26"; PBSMoveIDList[1][25] = "メガトンキック";
    	PBSMoveIDList[0][26] = "27"; PBSMoveIDList[1][26] = "とびげり";
    	PBSMoveIDList[0][27] = "28"; PBSMoveIDList[1][27] = "まわしげり";
    	PBSMoveIDList[0][28] = "29"; PBSMoveIDList[1][28] = "すなかけ";
    	PBSMoveIDList[0][29] = "30"; PBSMoveIDList[1][29] = "ずつき";
    	PBSMoveIDList[0][30] = "31"; PBSMoveIDList[1][30] = "つのでつく";
    	PBSMoveIDList[0][31] = "32"; PBSMoveIDList[1][31] = "みだれづき";
    	PBSMoveIDList[0][32] = "33"; PBSMoveIDList[1][32] = "つのドリル";
    	PBSMoveIDList[0][33] = "34"; PBSMoveIDList[1][33] = "たいあたり";
    	PBSMoveIDList[0][34] = "35"; PBSMoveIDList[1][34] = "のしかかり";
    	PBSMoveIDList[0][35] = "36"; PBSMoveIDList[1][35] = "まきつく";
    	PBSMoveIDList[0][36] = "37"; PBSMoveIDList[1][36] = "とっしん";
    	PBSMoveIDList[0][37] = "38"; PBSMoveIDList[1][37] = "あばれる";
    	PBSMoveIDList[0][38] = "39"; PBSMoveIDList[1][38] = "すてみタックル";
    	PBSMoveIDList[0][39] = "40"; PBSMoveIDList[1][39] = "しっぽをふる";
    	PBSMoveIDList[0][40] = "41"; PBSMoveIDList[1][40] = "どくばり";
    	PBSMoveIDList[0][41] = "42"; PBSMoveIDList[1][41] = "ダブルニードル";
    	PBSMoveIDList[0][42] = "43"; PBSMoveIDList[1][42] = "ミサイルばり";
    	PBSMoveIDList[0][43] = "44"; PBSMoveIDList[1][43] = "にらみつける";
    	PBSMoveIDList[0][44] = "45"; PBSMoveIDList[1][44] = "かみつく";
    	PBSMoveIDList[0][45] = "46"; PBSMoveIDList[1][45] = "なきごえ";
    	PBSMoveIDList[0][46] = "47"; PBSMoveIDList[1][46] = "ほえる";
    	PBSMoveIDList[0][47] = "48"; PBSMoveIDList[1][47] = "うたう";
    	PBSMoveIDList[0][48] = "49"; PBSMoveIDList[1][48] = "ちょうおんぱ";
    	PBSMoveIDList[0][49] = "50"; PBSMoveIDList[1][49] = "ソニックブーム";
    	PBSMoveIDList[0][50] = "51"; PBSMoveIDList[1][50] = "かなしばり";
    	PBSMoveIDList[0][51] = "52"; PBSMoveIDList[1][51] = "ようかいえき";
    	PBSMoveIDList[0][52] = "53"; PBSMoveIDList[1][52] = "ひのこ";
    	PBSMoveIDList[0][53] = "54"; PBSMoveIDList[1][53] = "かえんほうしゃ";
    	PBSMoveIDList[0][54] = "55"; PBSMoveIDList[1][54] = "しろいきり";
    	PBSMoveIDList[0][55] = "56"; PBSMoveIDList[1][55] = "みずでっぽう";
    	PBSMoveIDList[0][56] = "57"; PBSMoveIDList[1][56] = "ハイドロポンプ";
    	PBSMoveIDList[0][57] = "58"; PBSMoveIDList[1][57] = "なみのり";
    	PBSMoveIDList[0][58] = "59"; PBSMoveIDList[1][58] = "れいとうビーム";
    	PBSMoveIDList[0][59] = "60"; PBSMoveIDList[1][59] = "ふぶき";
    	PBSMoveIDList[0][60] = "61"; PBSMoveIDList[1][60] = "サイケこうせん";
    	PBSMoveIDList[0][61] = "62"; PBSMoveIDList[1][61] = "バブルこうせん";
    	PBSMoveIDList[0][62] = "63"; PBSMoveIDList[1][62] = "オーロラビーム";
    	PBSMoveIDList[0][63] = "64"; PBSMoveIDList[1][63] = "はかいこうせん";
    	PBSMoveIDList[0][64] = "65"; PBSMoveIDList[1][64] = "つつく";
    	PBSMoveIDList[0][65] = "66"; PBSMoveIDList[1][65] = "ドリルくちばし";
    	PBSMoveIDList[0][66] = "67"; PBSMoveIDList[1][66] = "じごくぐるま";
    	PBSMoveIDList[0][67] = "68"; PBSMoveIDList[1][67] = "けたぐり";
    	PBSMoveIDList[0][68] = "69"; PBSMoveIDList[1][68] = "カウンター";
    	PBSMoveIDList[0][69] = "70"; PBSMoveIDList[1][69] = "ちきゅうなげ";
    	PBSMoveIDList[0][70] = "71"; PBSMoveIDList[1][70] = "かいりき";
    	PBSMoveIDList[0][71] = "72"; PBSMoveIDList[1][71] = "すいとる";
    	PBSMoveIDList[0][72] = "73"; PBSMoveIDList[1][72] = "メガドレイン";
    	PBSMoveIDList[0][73] = "74"; PBSMoveIDList[1][73] = "やどりぎのタネ";
    	PBSMoveIDList[0][74] = "75"; PBSMoveIDList[1][74] = "せいちょう";
    	PBSMoveIDList[0][75] = "76"; PBSMoveIDList[1][75] = "はっぱカッター";
    	PBSMoveIDList[0][76] = "77"; PBSMoveIDList[1][76] = "ソーラービーム";
    	PBSMoveIDList[0][77] = "78"; PBSMoveIDList[1][77] = "どくのこな";
    	PBSMoveIDList[0][78] = "79"; PBSMoveIDList[1][78] = "しびれごな";
    	PBSMoveIDList[0][79] = "80"; PBSMoveIDList[1][79] = "ねむりごな";
    	PBSMoveIDList[0][80] = "81"; PBSMoveIDList[1][80] = "はなびらのまい";
    	PBSMoveIDList[0][81] = "82"; PBSMoveIDList[1][81] = "いとをはく";
    	PBSMoveIDList[0][82] = "83"; PBSMoveIDList[1][82] = "りゅうのいかり";
    	PBSMoveIDList[0][83] = "84"; PBSMoveIDList[1][83] = "ほのおのうず";
    	PBSMoveIDList[0][84] = "85"; PBSMoveIDList[1][84] = "でんきショック";
    	PBSMoveIDList[0][85] = "86"; PBSMoveIDList[1][85] = "１０まんボルト";
    	PBSMoveIDList[0][86] = "87"; PBSMoveIDList[1][86] = "でんじは";
    	PBSMoveIDList[0][87] = "88"; PBSMoveIDList[1][87] = "かみなり";
    	PBSMoveIDList[0][88] = "89"; PBSMoveIDList[1][88] = "いわおとし";
    	PBSMoveIDList[0][89] = "90"; PBSMoveIDList[1][89] = "じしん";
    	PBSMoveIDList[0][90] = "91"; PBSMoveIDList[1][90] = "じわれ";
    	PBSMoveIDList[0][91] = "92"; PBSMoveIDList[1][91] = "あなをほる";
    	PBSMoveIDList[0][92] = "93"; PBSMoveIDList[1][92] = "どくどく";
    	PBSMoveIDList[0][93] = "94"; PBSMoveIDList[1][93] = "ねんりき";
    	PBSMoveIDList[0][94] = "95"; PBSMoveIDList[1][94] = "サイコキネシス";
    	PBSMoveIDList[0][95] = "96"; PBSMoveIDList[1][95] = "さいみんじゅつ";
    	PBSMoveIDList[0][96] = "97"; PBSMoveIDList[1][96] = "ヨガのポーズ";
    	PBSMoveIDList[0][97] = "98"; PBSMoveIDList[1][97] = "こうそくいどう";
    	PBSMoveIDList[0][98] = "99"; PBSMoveIDList[1][98] = "でんこうせっか";
    	PBSMoveIDList[0][99] = "100"; PBSMoveIDList[1][99] = "いかり";
    	PBSMoveIDList[0][100] = "101"; PBSMoveIDList[1][100] = "テレポート";
    	PBSMoveIDList[0][101] = "102"; PBSMoveIDList[1][101] = "ナイトヘッド";
    	PBSMoveIDList[0][102] = "103"; PBSMoveIDList[1][102] = "ものまね";
    	PBSMoveIDList[0][103] = "104"; PBSMoveIDList[1][103] = "いやなおと";
    	PBSMoveIDList[0][104] = "105"; PBSMoveIDList[1][104] = "かげぶんしん";
    	PBSMoveIDList[0][105] = "106"; PBSMoveIDList[1][105] = "じこさいせい";
    	PBSMoveIDList[0][106] = "107"; PBSMoveIDList[1][106] = "かたくなる";
    	PBSMoveIDList[0][107] = "108"; PBSMoveIDList[1][107] = "ちいさくなる";
    	PBSMoveIDList[0][108] = "109"; PBSMoveIDList[1][108] = "えんまく";
    	PBSMoveIDList[0][109] = "110"; PBSMoveIDList[1][109] = "あやしいひかり";
    	PBSMoveIDList[0][110] = "111"; PBSMoveIDList[1][110] = "からにこもる";
    	PBSMoveIDList[0][111] = "112"; PBSMoveIDList[1][111] = "まるくなる";
    	PBSMoveIDList[0][112] = "113"; PBSMoveIDList[1][112] = "バリアー";
    	PBSMoveIDList[0][113] = "114"; PBSMoveIDList[1][113] = "ひかりのかべ";
    	PBSMoveIDList[0][114] = "115"; PBSMoveIDList[1][114] = "くろいきり";
    	PBSMoveIDList[0][115] = "116"; PBSMoveIDList[1][115] = "リフレクター";
    	PBSMoveIDList[0][116] = "117"; PBSMoveIDList[1][116] = "きあいだめ";
    	PBSMoveIDList[0][117] = "118"; PBSMoveIDList[1][117] = "がまん";
    	PBSMoveIDList[0][118] = "119"; PBSMoveIDList[1][118] = "ゆびをふる";
    	PBSMoveIDList[0][119] = "120"; PBSMoveIDList[1][119] = "オウムがえし";
    	PBSMoveIDList[0][120] = "121"; PBSMoveIDList[1][120] = "じばく";
    	PBSMoveIDList[0][121] = "122"; PBSMoveIDList[1][121] = "タマゴばくだん";
    	PBSMoveIDList[0][122] = "123"; PBSMoveIDList[1][122] = "したでなめる";
    	PBSMoveIDList[0][123] = "124"; PBSMoveIDList[1][123] = "スモッグ";
    	PBSMoveIDList[0][124] = "125"; PBSMoveIDList[1][124] = "ヘドロこうげき";
    	PBSMoveIDList[0][125] = "126"; PBSMoveIDList[1][125] = "ホネこんぼう";
    	PBSMoveIDList[0][126] = "127"; PBSMoveIDList[1][126] = "だいもんじ";
    	PBSMoveIDList[0][127] = "128"; PBSMoveIDList[1][127] = "たきのぼり";
    	PBSMoveIDList[0][128] = "129"; PBSMoveIDList[1][128] = "からではさむ";
    	PBSMoveIDList[0][129] = "130"; PBSMoveIDList[1][129] = "スピードスター";
    	PBSMoveIDList[0][130] = "131"; PBSMoveIDList[1][130] = "ロケットずつき";
    	PBSMoveIDList[0][131] = "132"; PBSMoveIDList[1][131] = "とげキャノン";
    	PBSMoveIDList[0][132] = "133"; PBSMoveIDList[1][132] = "からみつく";
    	PBSMoveIDList[0][133] = "134"; PBSMoveIDList[1][133] = "ドわすれ";
    	PBSMoveIDList[0][134] = "135"; PBSMoveIDList[1][134] = "スプーンまげ";
    	PBSMoveIDList[0][135] = "136"; PBSMoveIDList[1][135] = "タマゴうみ";
    	PBSMoveIDList[0][136] = "137"; PBSMoveIDList[1][136] = "とびひざげり";
    	PBSMoveIDList[0][137] = "138"; PBSMoveIDList[1][137] = "へびにらみ";
    	PBSMoveIDList[0][138] = "139"; PBSMoveIDList[1][138] = "ゆめくい";
    	PBSMoveIDList[0][139] = "140"; PBSMoveIDList[1][139] = "どくガス";
    	PBSMoveIDList[0][140] = "141"; PBSMoveIDList[1][140] = "たまなげ";
    	PBSMoveIDList[0][141] = "142"; PBSMoveIDList[1][141] = "きゅうけつ";
    	PBSMoveIDList[0][142] = "143"; PBSMoveIDList[1][142] = "あくまのキッス";
    	PBSMoveIDList[0][143] = "144"; PBSMoveIDList[1][143] = "ゴッドバード";
    	PBSMoveIDList[0][144] = "145"; PBSMoveIDList[1][144] = "へんしん";
    	PBSMoveIDList[0][145] = "146"; PBSMoveIDList[1][145] = "あわ";
    	PBSMoveIDList[0][146] = "147"; PBSMoveIDList[1][146] = "ピヨピヨパンチ";
    	PBSMoveIDList[0][147] = "148"; PBSMoveIDList[1][147] = "キノコのほうし";
    	PBSMoveIDList[0][148] = "149"; PBSMoveIDList[1][148] = "フラッシュ";
    	PBSMoveIDList[0][149] = "150"; PBSMoveIDList[1][149] = "サイコウェーブ";
    	PBSMoveIDList[0][150] = "151"; PBSMoveIDList[1][150] = "はねる";
    	PBSMoveIDList[0][151] = "152"; PBSMoveIDList[1][151] = "とける";
    	PBSMoveIDList[0][152] = "153"; PBSMoveIDList[1][152] = "クラブハンマー";
    	PBSMoveIDList[0][153] = "154"; PBSMoveIDList[1][153] = "だいばくはつ";
    	PBSMoveIDList[0][154] = "155"; PBSMoveIDList[1][154] = "みだれひっかき";
    	PBSMoveIDList[0][155] = "156"; PBSMoveIDList[1][155] = "ホネブーメラン";
    	PBSMoveIDList[0][156] = "157"; PBSMoveIDList[1][156] = "ねむる";
    	PBSMoveIDList[0][157] = "158"; PBSMoveIDList[1][157] = "いわなだれ";
    	PBSMoveIDList[0][158] = "159"; PBSMoveIDList[1][158] = "ひっさつまえば";
    	PBSMoveIDList[0][159] = "160"; PBSMoveIDList[1][159] = "かくばる";
    	PBSMoveIDList[0][160] = "161"; PBSMoveIDList[1][160] = "テクスチャー";
    	PBSMoveIDList[0][161] = "162"; PBSMoveIDList[1][161] = "トライアタック";
    	PBSMoveIDList[0][162] = "163"; PBSMoveIDList[1][162] = "いかりのまえば";
    	PBSMoveIDList[0][163] = "164"; PBSMoveIDList[1][163] = "きりさく";
    	PBSMoveIDList[0][164] = "165"; PBSMoveIDList[1][164] = "みがわり";
    	PBSMoveIDList[0][165] = "166"; PBSMoveIDList[1][165] = "わるあがき";
    	PBSMoveIDList[0][166] = "167"; PBSMoveIDList[1][166] = "スケッチ";
    	PBSMoveIDList[0][167] = "168"; PBSMoveIDList[1][167] = "トリプルキック";
    	PBSMoveIDList[0][168] = "169"; PBSMoveIDList[1][168] = "どろぼう";
    	PBSMoveIDList[0][169] = "170"; PBSMoveIDList[1][169] = "クモのす";
    	PBSMoveIDList[0][170] = "171"; PBSMoveIDList[1][170] = "こころのめ";
    	PBSMoveIDList[0][171] = "172"; PBSMoveIDList[1][171] = "あくむ";
    	PBSMoveIDList[0][172] = "173"; PBSMoveIDList[1][172] = "かえんぐるま";
    	PBSMoveIDList[0][173] = "174"; PBSMoveIDList[1][173] = "いびき";
    	PBSMoveIDList[0][174] = "175"; PBSMoveIDList[1][174] = "のろい";
    	PBSMoveIDList[0][175] = "176"; PBSMoveIDList[1][175] = "じたばた";
    	PBSMoveIDList[0][176] = "177"; PBSMoveIDList[1][176] = "テクスチャー２";
    	PBSMoveIDList[0][177] = "178"; PBSMoveIDList[1][177] = "エアロブラスト";
    	PBSMoveIDList[0][178] = "179"; PBSMoveIDList[1][178] = "わたほうし";
    	PBSMoveIDList[0][179] = "180"; PBSMoveIDList[1][179] = "きしかいせい";
    	PBSMoveIDList[0][180] = "181"; PBSMoveIDList[1][180] = "うらみ";
    	PBSMoveIDList[0][181] = "182"; PBSMoveIDList[1][181] = "こなゆき";
    	PBSMoveIDList[0][182] = "183"; PBSMoveIDList[1][182] = "まもる";
    	PBSMoveIDList[0][183] = "184"; PBSMoveIDList[1][183] = "マッハパンチ";
    	PBSMoveIDList[0][184] = "185"; PBSMoveIDList[1][184] = "こわいかお";
    	PBSMoveIDList[0][185] = "186"; PBSMoveIDList[1][185] = "だましうち";
    	PBSMoveIDList[0][186] = "187"; PBSMoveIDList[1][186] = "てんしのキッス";
    	PBSMoveIDList[0][187] = "188"; PBSMoveIDList[1][187] = "はらだいこ";
    	PBSMoveIDList[0][188] = "189"; PBSMoveIDList[1][188] = "ヘドロばくだん";
    	PBSMoveIDList[0][189] = "190"; PBSMoveIDList[1][189] = "どろかけ";
    	PBSMoveIDList[0][190] = "191"; PBSMoveIDList[1][190] = "オクタンほう";
    	PBSMoveIDList[0][191] = "192"; PBSMoveIDList[1][191] = "まきびし";
    	PBSMoveIDList[0][192] = "193"; PBSMoveIDList[1][192] = "でんじほう";
    	PBSMoveIDList[0][193] = "194"; PBSMoveIDList[1][193] = "みやぶる";
    	PBSMoveIDList[0][194] = "195"; PBSMoveIDList[1][194] = "みちづれ";
    	PBSMoveIDList[0][195] = "196"; PBSMoveIDList[1][195] = "ほろびのうた";
    	PBSMoveIDList[0][196] = "197"; PBSMoveIDList[1][196] = "こごえるかぜ";
    	PBSMoveIDList[0][197] = "198"; PBSMoveIDList[1][197] = "みきり";
    	PBSMoveIDList[0][198] = "199"; PBSMoveIDList[1][198] = "ボーンラッシュ";
    	PBSMoveIDList[0][199] = "200"; PBSMoveIDList[1][199] = "ロックオン";
    	PBSMoveIDList[0][200] = "201"; PBSMoveIDList[1][200] = "げきりん";
    	PBSMoveIDList[0][201] = "202"; PBSMoveIDList[1][201] = "すなあらし";
    	PBSMoveIDList[0][202] = "203"; PBSMoveIDList[1][202] = "ギガドレイン";
    	PBSMoveIDList[0][203] = "204"; PBSMoveIDList[1][203] = "こらえる";
    	PBSMoveIDList[0][204] = "205"; PBSMoveIDList[1][204] = "あまえる";
    	PBSMoveIDList[0][205] = "206"; PBSMoveIDList[1][205] = "ころがる";
    	PBSMoveIDList[0][206] = "207"; PBSMoveIDList[1][206] = "みねうち";
    	PBSMoveIDList[0][207] = "208"; PBSMoveIDList[1][207] = "いばる";
    	PBSMoveIDList[0][208] = "209"; PBSMoveIDList[1][208] = "ミルクのみ";
    	PBSMoveIDList[0][209] = "210"; PBSMoveIDList[1][209] = "スパーク";
    	PBSMoveIDList[0][210] = "211"; PBSMoveIDList[1][210] = "れんぞくぎり";
    	PBSMoveIDList[0][211] = "212"; PBSMoveIDList[1][211] = "はがねのつばさ";
    	PBSMoveIDList[0][212] = "213"; PBSMoveIDList[1][212] = "くろいまなざし";
    	PBSMoveIDList[0][213] = "214"; PBSMoveIDList[1][213] = "メロメロ";
    	PBSMoveIDList[0][214] = "215"; PBSMoveIDList[1][214] = "ねごと";
    	PBSMoveIDList[0][215] = "216"; PBSMoveIDList[1][215] = "いやしのすず";
    	PBSMoveIDList[0][216] = "217"; PBSMoveIDList[1][216] = "おんがえし";
    	PBSMoveIDList[0][217] = "218"; PBSMoveIDList[1][217] = "プレゼント";
    	PBSMoveIDList[0][218] = "219"; PBSMoveIDList[1][218] = "やつあたり";
    	PBSMoveIDList[0][219] = "220"; PBSMoveIDList[1][219] = "しんぴのまもり";
    	PBSMoveIDList[0][220] = "221"; PBSMoveIDList[1][220] = "いたみわけ";
    	PBSMoveIDList[0][221] = "222"; PBSMoveIDList[1][221] = "せいなるほのお";
    	PBSMoveIDList[0][222] = "223"; PBSMoveIDList[1][222] = "マグニチュード";
    	PBSMoveIDList[0][223] = "224"; PBSMoveIDList[1][223] = "ばくれつパンチ";
    	PBSMoveIDList[0][224] = "225"; PBSMoveIDList[1][224] = "メガホーン";
    	PBSMoveIDList[0][225] = "226"; PBSMoveIDList[1][225] = "りゅうのいぶき";
    	PBSMoveIDList[0][226] = "227"; PBSMoveIDList[1][226] = "バトンタッチ";
    	PBSMoveIDList[0][227] = "228"; PBSMoveIDList[1][227] = "アンコール";
    	PBSMoveIDList[0][228] = "229"; PBSMoveIDList[1][228] = "おいうち";
    	PBSMoveIDList[0][229] = "230"; PBSMoveIDList[1][229] = "こうそくスピン";
    	PBSMoveIDList[0][230] = "231"; PBSMoveIDList[1][230] = "あまいかおり";
    	PBSMoveIDList[0][231] = "232"; PBSMoveIDList[1][231] = "アイアンテール";
    	PBSMoveIDList[0][232] = "233"; PBSMoveIDList[1][232] = "メタルクロー";
    	PBSMoveIDList[0][233] = "234"; PBSMoveIDList[1][233] = "あてみなげ";
    	PBSMoveIDList[0][234] = "235"; PBSMoveIDList[1][234] = "あさのひざし";
    	PBSMoveIDList[0][235] = "236"; PBSMoveIDList[1][235] = "こうごうせい";
    	PBSMoveIDList[0][236] = "237"; PBSMoveIDList[1][236] = "つきのひかり";
    	PBSMoveIDList[0][237] = "238"; PBSMoveIDList[1][237] = "めざめるパワー";
    	PBSMoveIDList[0][238] = "239"; PBSMoveIDList[1][238] = "クロスチョップ";
    	PBSMoveIDList[0][239] = "240"; PBSMoveIDList[1][239] = "たつまき";
    	PBSMoveIDList[0][240] = "241"; PBSMoveIDList[1][240] = "あまごい";
    	PBSMoveIDList[0][241] = "242"; PBSMoveIDList[1][241] = "にほんばれ";
    	PBSMoveIDList[0][242] = "243"; PBSMoveIDList[1][242] = "かみくだく";
    	PBSMoveIDList[0][243] = "244"; PBSMoveIDList[1][243] = "ミラーコート";
    	PBSMoveIDList[0][244] = "245"; PBSMoveIDList[1][244] = "じこあんじ";
    	PBSMoveIDList[0][245] = "246"; PBSMoveIDList[1][245] = "しんそく";
    	PBSMoveIDList[0][246] = "247"; PBSMoveIDList[1][246] = "げんしのちから";
    	PBSMoveIDList[0][247] = "248"; PBSMoveIDList[1][247] = "シャドーボール";
    	PBSMoveIDList[0][248] = "249"; PBSMoveIDList[1][248] = "みらいよち";
    	PBSMoveIDList[0][249] = "250"; PBSMoveIDList[1][249] = "いわくだき";
    	PBSMoveIDList[0][250] = "251"; PBSMoveIDList[1][250] = "うずしお";
    	PBSMoveIDList[0][251] = "252"; PBSMoveIDList[1][251] = "ふくろだたき";

    	for (int i = 0;i < 252; i++) {
    		PBSMoveIDMap.put(PBSMoveIDList[1][i],PBSMoveIDList[0][i]);
    		PBSIDMoveMap.put(PBSMoveIDList[0][i],PBSMoveIDList[1][i]);
    	}
    }

	/* 技名からIDを取得するメソッド
	 *   引数　：技名（String）
	 *   戻り値：ID（String）
	 *   例外　：無し（技名に不正があっても例外を出さずに初期値採用で先に進む）
	 */
    public String IDGet(String Move) {
    	String ID;
    	ID = PBSMoveIDMap.get(Move);
    	if (ID == null) {
    		ID = "0";
    	}
    	return ID;
    }

	/* IDから技名を取得するメソッド
	 *   引数　：ID（String）
	 *   戻り値：技名（String）
	 *   例外　：無し（技名に不正があっても例外を出さずに初期値採用で先に進む）
	 */
    public String MoveGet(String ID) {
    	String Move;
    	Move = PBSIDMoveMap.get(ID);
    	if (Move == null) {
    		Move = "技無し";
    	}
    	return Move;
    }

}
