package mold;

import java.util.HashMap;

/*
*  PBSSpeciesIDsクラス
*
*  PBSで使用している種族IDを管理するクラスです。
*
*  変更履歴
*  2021/01/11 新規作成
*
*/

public class PBSSpeciesIDs {

	private String PBSSpeciesIDList[][] = new String[2][251];
	public HashMap<String, String> PBSSpeciesIDMap = new HashMap<String, String>();
	public HashMap<String, String> PBSIDSpeciesMap = new HashMap<String, String>();

	/* デフォルトコンストラクタ：HashMapの作成 */
    public PBSSpeciesIDs() {

    	PBSSpeciesIDList[0][0] = "1"; PBSSpeciesIDList[1][0] = "フシギダネ";
    	PBSSpeciesIDList[0][1] = "2"; PBSSpeciesIDList[1][1] = "フシギソウ";
    	PBSSpeciesIDList[0][2] = "3"; PBSSpeciesIDList[1][2] = "フシギバナ";
    	PBSSpeciesIDList[0][3] = "4"; PBSSpeciesIDList[1][3] = "ヒトカゲ";
    	PBSSpeciesIDList[0][4] = "5"; PBSSpeciesIDList[1][4] = "リザード";
    	PBSSpeciesIDList[0][5] = "6"; PBSSpeciesIDList[1][5] = "リザードン";
    	PBSSpeciesIDList[0][6] = "7"; PBSSpeciesIDList[1][6] = "ゼニガメ";
    	PBSSpeciesIDList[0][7] = "8"; PBSSpeciesIDList[1][7] = "カメール";
    	PBSSpeciesIDList[0][8] = "9"; PBSSpeciesIDList[1][8] = "カメックス";
    	PBSSpeciesIDList[0][9] = "10"; PBSSpeciesIDList[1][9] = "キャタピー";
    	PBSSpeciesIDList[0][10] = "11"; PBSSpeciesIDList[1][10] = "トランセル";
    	PBSSpeciesIDList[0][11] = "12"; PBSSpeciesIDList[1][11] = "バタフリー";
    	PBSSpeciesIDList[0][12] = "13"; PBSSpeciesIDList[1][12] = "ビードル";
    	PBSSpeciesIDList[0][13] = "14"; PBSSpeciesIDList[1][13] = "コクーン";
    	PBSSpeciesIDList[0][14] = "15"; PBSSpeciesIDList[1][14] = "スピアー";
    	PBSSpeciesIDList[0][15] = "16"; PBSSpeciesIDList[1][15] = "ポッポ";
    	PBSSpeciesIDList[0][16] = "17"; PBSSpeciesIDList[1][16] = "ピジョン";
    	PBSSpeciesIDList[0][17] = "18"; PBSSpeciesIDList[1][17] = "ピジョット";
    	PBSSpeciesIDList[0][18] = "19"; PBSSpeciesIDList[1][18] = "コラッタ";
    	PBSSpeciesIDList[0][19] = "20"; PBSSpeciesIDList[1][19] = "ラッタ";
    	PBSSpeciesIDList[0][20] = "21"; PBSSpeciesIDList[1][20] = "オニスズメ";
    	PBSSpeciesIDList[0][21] = "22"; PBSSpeciesIDList[1][21] = "オニドリル";
    	PBSSpeciesIDList[0][22] = "23"; PBSSpeciesIDList[1][22] = "アーボ";
    	PBSSpeciesIDList[0][23] = "24"; PBSSpeciesIDList[1][23] = "アーボック";
    	PBSSpeciesIDList[0][24] = "25"; PBSSpeciesIDList[1][24] = "ピカチュウ";
    	PBSSpeciesIDList[0][25] = "26"; PBSSpeciesIDList[1][25] = "ライチュウ";
    	PBSSpeciesIDList[0][26] = "27"; PBSSpeciesIDList[1][26] = "サンド";
    	PBSSpeciesIDList[0][27] = "28"; PBSSpeciesIDList[1][27] = "サンドパン";
    	PBSSpeciesIDList[0][28] = "29"; PBSSpeciesIDList[1][28] = "ニドラン♀";
    	PBSSpeciesIDList[0][29] = "30"; PBSSpeciesIDList[1][29] = "ニドリーナ";
    	PBSSpeciesIDList[0][30] = "31"; PBSSpeciesIDList[1][30] = "ニドクイン";
    	PBSSpeciesIDList[0][31] = "32"; PBSSpeciesIDList[1][31] = "ニドラン♂";
    	PBSSpeciesIDList[0][32] = "33"; PBSSpeciesIDList[1][32] = "ニドリーノ";
    	PBSSpeciesIDList[0][33] = "34"; PBSSpeciesIDList[1][33] = "ニドキング";
    	PBSSpeciesIDList[0][34] = "35"; PBSSpeciesIDList[1][34] = "ピッピ";
    	PBSSpeciesIDList[0][35] = "36"; PBSSpeciesIDList[1][35] = "ピクシー";
    	PBSSpeciesIDList[0][36] = "37"; PBSSpeciesIDList[1][36] = "ロコン";
    	PBSSpeciesIDList[0][37] = "38"; PBSSpeciesIDList[1][37] = "キュウコン";
    	PBSSpeciesIDList[0][38] = "39"; PBSSpeciesIDList[1][38] = "プリン";
    	PBSSpeciesIDList[0][39] = "40"; PBSSpeciesIDList[1][39] = "プクリン";
    	PBSSpeciesIDList[0][40] = "41"; PBSSpeciesIDList[1][40] = "ズバット";
    	PBSSpeciesIDList[0][41] = "42"; PBSSpeciesIDList[1][41] = "ゴルバット";
    	PBSSpeciesIDList[0][42] = "43"; PBSSpeciesIDList[1][42] = "ナゾノクサ";
    	PBSSpeciesIDList[0][43] = "44"; PBSSpeciesIDList[1][43] = "クサイハナ";
    	PBSSpeciesIDList[0][44] = "45"; PBSSpeciesIDList[1][44] = "ラフレシア";
    	PBSSpeciesIDList[0][45] = "46"; PBSSpeciesIDList[1][45] = "パラス";
    	PBSSpeciesIDList[0][46] = "47"; PBSSpeciesIDList[1][46] = "パラセクト";
    	PBSSpeciesIDList[0][47] = "48"; PBSSpeciesIDList[1][47] = "コンパン";
    	PBSSpeciesIDList[0][48] = "49"; PBSSpeciesIDList[1][48] = "モルフォン";
    	PBSSpeciesIDList[0][49] = "50"; PBSSpeciesIDList[1][49] = "ディグダ";
    	PBSSpeciesIDList[0][50] = "51"; PBSSpeciesIDList[1][50] = "ダグトリオ";
    	PBSSpeciesIDList[0][51] = "52"; PBSSpeciesIDList[1][51] = "ニャース";
    	PBSSpeciesIDList[0][52] = "53"; PBSSpeciesIDList[1][52] = "ペルシアン";
    	PBSSpeciesIDList[0][53] = "54"; PBSSpeciesIDList[1][53] = "コダック";
    	PBSSpeciesIDList[0][54] = "55"; PBSSpeciesIDList[1][54] = "ゴルダック";
    	PBSSpeciesIDList[0][55] = "56"; PBSSpeciesIDList[1][55] = "マンキー";
    	PBSSpeciesIDList[0][56] = "57"; PBSSpeciesIDList[1][56] = "オコリザル";
    	PBSSpeciesIDList[0][57] = "58"; PBSSpeciesIDList[1][57] = "ガーディ";
    	PBSSpeciesIDList[0][58] = "59"; PBSSpeciesIDList[1][58] = "ウインディ";
    	PBSSpeciesIDList[0][59] = "60"; PBSSpeciesIDList[1][59] = "ニョロモ";
    	PBSSpeciesIDList[0][60] = "61"; PBSSpeciesIDList[1][60] = "ニョロゾ";
    	PBSSpeciesIDList[0][61] = "62"; PBSSpeciesIDList[1][61] = "ニョロボン";
    	PBSSpeciesIDList[0][62] = "63"; PBSSpeciesIDList[1][62] = "ケーシィ";
    	PBSSpeciesIDList[0][63] = "64"; PBSSpeciesIDList[1][63] = "ユンゲラー";
    	PBSSpeciesIDList[0][64] = "65"; PBSSpeciesIDList[1][64] = "フーディン";
    	PBSSpeciesIDList[0][65] = "66"; PBSSpeciesIDList[1][65] = "ワンリキー";
    	PBSSpeciesIDList[0][66] = "67"; PBSSpeciesIDList[1][66] = "ゴーリキー";
    	PBSSpeciesIDList[0][67] = "68"; PBSSpeciesIDList[1][67] = "カイリキー";
    	PBSSpeciesIDList[0][68] = "69"; PBSSpeciesIDList[1][68] = "マダツボミ";
    	PBSSpeciesIDList[0][69] = "70"; PBSSpeciesIDList[1][69] = "ウツドン";
    	PBSSpeciesIDList[0][70] = "71"; PBSSpeciesIDList[1][70] = "ウツボット";
    	PBSSpeciesIDList[0][71] = "72"; PBSSpeciesIDList[1][71] = "メノクラゲ";
    	PBSSpeciesIDList[0][72] = "73"; PBSSpeciesIDList[1][72] = "ドククラゲ";
    	PBSSpeciesIDList[0][73] = "74"; PBSSpeciesIDList[1][73] = "イシツブテ";
    	PBSSpeciesIDList[0][74] = "75"; PBSSpeciesIDList[1][74] = "ゴローン";
    	PBSSpeciesIDList[0][75] = "76"; PBSSpeciesIDList[1][75] = "ゴローニャ";
    	PBSSpeciesIDList[0][76] = "77"; PBSSpeciesIDList[1][76] = "ポニータ";
    	PBSSpeciesIDList[0][77] = "78"; PBSSpeciesIDList[1][77] = "ギャロップ";
    	PBSSpeciesIDList[0][78] = "79"; PBSSpeciesIDList[1][78] = "ヤドン";
    	PBSSpeciesIDList[0][79] = "80"; PBSSpeciesIDList[1][79] = "ヤドラン";
    	PBSSpeciesIDList[0][80] = "81"; PBSSpeciesIDList[1][80] = "コイル";
    	PBSSpeciesIDList[0][81] = "82"; PBSSpeciesIDList[1][81] = "レアコイル";
    	PBSSpeciesIDList[0][82] = "83"; PBSSpeciesIDList[1][82] = "カモネギ";
    	PBSSpeciesIDList[0][83] = "84"; PBSSpeciesIDList[1][83] = "ドードー";
    	PBSSpeciesIDList[0][84] = "85"; PBSSpeciesIDList[1][84] = "ドードリオ";
    	PBSSpeciesIDList[0][85] = "86"; PBSSpeciesIDList[1][85] = "パウワウ";
    	PBSSpeciesIDList[0][86] = "87"; PBSSpeciesIDList[1][86] = "ジュゴン";
    	PBSSpeciesIDList[0][87] = "88"; PBSSpeciesIDList[1][87] = "ベトベター";
    	PBSSpeciesIDList[0][88] = "89"; PBSSpeciesIDList[1][88] = "ベトベトン";
    	PBSSpeciesIDList[0][89] = "90"; PBSSpeciesIDList[1][89] = "シェルダー";
    	PBSSpeciesIDList[0][90] = "91"; PBSSpeciesIDList[1][90] = "パルシェン";
    	PBSSpeciesIDList[0][91] = "92"; PBSSpeciesIDList[1][91] = "ゴース";
    	PBSSpeciesIDList[0][92] = "93"; PBSSpeciesIDList[1][92] = "ゴースト";
    	PBSSpeciesIDList[0][93] = "94"; PBSSpeciesIDList[1][93] = "ゲンガー";
    	PBSSpeciesIDList[0][94] = "95"; PBSSpeciesIDList[1][94] = "イワーク";
    	PBSSpeciesIDList[0][95] = "96"; PBSSpeciesIDList[1][95] = "スリープ";
    	PBSSpeciesIDList[0][96] = "97"; PBSSpeciesIDList[1][96] = "スリーパー";
    	PBSSpeciesIDList[0][97] = "98"; PBSSpeciesIDList[1][97] = "クラブ";
    	PBSSpeciesIDList[0][98] = "99"; PBSSpeciesIDList[1][98] = "キングラー";
    	PBSSpeciesIDList[0][99] = "100"; PBSSpeciesIDList[1][99] = "ビリリダマ";
    	PBSSpeciesIDList[0][100] = "101"; PBSSpeciesIDList[1][100] = "マルマイン";
    	PBSSpeciesIDList[0][101] = "102"; PBSSpeciesIDList[1][101] = "タマタマ";
    	PBSSpeciesIDList[0][102] = "103"; PBSSpeciesIDList[1][102] = "ナッシー";
    	PBSSpeciesIDList[0][103] = "104"; PBSSpeciesIDList[1][103] = "カラカラ";
    	PBSSpeciesIDList[0][104] = "105"; PBSSpeciesIDList[1][104] = "ガラガラ";
    	PBSSpeciesIDList[0][105] = "106"; PBSSpeciesIDList[1][105] = "サワムラー";
    	PBSSpeciesIDList[0][106] = "107"; PBSSpeciesIDList[1][106] = "エビワラー";
    	PBSSpeciesIDList[0][107] = "108"; PBSSpeciesIDList[1][107] = "ベロリンガ";
    	PBSSpeciesIDList[0][108] = "109"; PBSSpeciesIDList[1][108] = "ドガース";
    	PBSSpeciesIDList[0][109] = "110"; PBSSpeciesIDList[1][109] = "マタドガス";
    	PBSSpeciesIDList[0][110] = "111"; PBSSpeciesIDList[1][110] = "サイホーン";
    	PBSSpeciesIDList[0][111] = "112"; PBSSpeciesIDList[1][111] = "サイドン";
    	PBSSpeciesIDList[0][112] = "113"; PBSSpeciesIDList[1][112] = "ラッキー";
    	PBSSpeciesIDList[0][113] = "114"; PBSSpeciesIDList[1][113] = "モンジャラ";
    	PBSSpeciesIDList[0][114] = "115"; PBSSpeciesIDList[1][114] = "ガルーラ";
    	PBSSpeciesIDList[0][115] = "116"; PBSSpeciesIDList[1][115] = "タッツー";
    	PBSSpeciesIDList[0][116] = "117"; PBSSpeciesIDList[1][116] = "シードラ";
    	PBSSpeciesIDList[0][117] = "118"; PBSSpeciesIDList[1][117] = "トサキント";
    	PBSSpeciesIDList[0][118] = "119"; PBSSpeciesIDList[1][118] = "アズマオウ";
    	PBSSpeciesIDList[0][119] = "120"; PBSSpeciesIDList[1][119] = "ヒトデマン";
    	PBSSpeciesIDList[0][120] = "121"; PBSSpeciesIDList[1][120] = "スターミー";
    	PBSSpeciesIDList[0][121] = "122"; PBSSpeciesIDList[1][121] = "バリヤード";
    	PBSSpeciesIDList[0][122] = "123"; PBSSpeciesIDList[1][122] = "ストライク";
    	PBSSpeciesIDList[0][123] = "124"; PBSSpeciesIDList[1][123] = "ルージュラ";
    	PBSSpeciesIDList[0][124] = "125"; PBSSpeciesIDList[1][124] = "エレブー";
    	PBSSpeciesIDList[0][125] = "126"; PBSSpeciesIDList[1][125] = "ブーバー";
    	PBSSpeciesIDList[0][126] = "127"; PBSSpeciesIDList[1][126] = "カイロス";
    	PBSSpeciesIDList[0][127] = "128"; PBSSpeciesIDList[1][127] = "ケンタロス";
    	PBSSpeciesIDList[0][128] = "129"; PBSSpeciesIDList[1][128] = "コイキング";
    	PBSSpeciesIDList[0][129] = "130"; PBSSpeciesIDList[1][129] = "ギャラドス";
    	PBSSpeciesIDList[0][130] = "131"; PBSSpeciesIDList[1][130] = "ラプラス";
    	PBSSpeciesIDList[0][131] = "132"; PBSSpeciesIDList[1][131] = "メタモン";
    	PBSSpeciesIDList[0][132] = "133"; PBSSpeciesIDList[1][132] = "イーブイ";
    	PBSSpeciesIDList[0][133] = "134"; PBSSpeciesIDList[1][133] = "シャワーズ";
    	PBSSpeciesIDList[0][134] = "135"; PBSSpeciesIDList[1][134] = "サンダース";
    	PBSSpeciesIDList[0][135] = "136"; PBSSpeciesIDList[1][135] = "ブースター";
    	PBSSpeciesIDList[0][136] = "137"; PBSSpeciesIDList[1][136] = "ポリゴン";
    	PBSSpeciesIDList[0][137] = "138"; PBSSpeciesIDList[1][137] = "オムナイト";
    	PBSSpeciesIDList[0][138] = "139"; PBSSpeciesIDList[1][138] = "オムスター";
    	PBSSpeciesIDList[0][139] = "140"; PBSSpeciesIDList[1][139] = "カブト";
    	PBSSpeciesIDList[0][140] = "141"; PBSSpeciesIDList[1][140] = "カブトプス";
    	PBSSpeciesIDList[0][141] = "142"; PBSSpeciesIDList[1][141] = "プテラ";
    	PBSSpeciesIDList[0][142] = "143"; PBSSpeciesIDList[1][142] = "カビゴン";
    	PBSSpeciesIDList[0][143] = "144"; PBSSpeciesIDList[1][143] = "フリーザー";
    	PBSSpeciesIDList[0][144] = "145"; PBSSpeciesIDList[1][144] = "サンダー";
    	PBSSpeciesIDList[0][145] = "146"; PBSSpeciesIDList[1][145] = "ファイヤー";
    	PBSSpeciesIDList[0][146] = "147"; PBSSpeciesIDList[1][146] = "ミニリュウ";
    	PBSSpeciesIDList[0][147] = "148"; PBSSpeciesIDList[1][147] = "ハクリュー";
    	PBSSpeciesIDList[0][148] = "149"; PBSSpeciesIDList[1][148] = "カイリュー";
    	PBSSpeciesIDList[0][149] = "150"; PBSSpeciesIDList[1][149] = "ミュウツー";
    	PBSSpeciesIDList[0][150] = "151"; PBSSpeciesIDList[1][150] = "ミュウ";
    	PBSSpeciesIDList[0][151] = "152"; PBSSpeciesIDList[1][151] = "チコリータ";
    	PBSSpeciesIDList[0][152] = "153"; PBSSpeciesIDList[1][152] = "ベイリーフ";
    	PBSSpeciesIDList[0][153] = "154"; PBSSpeciesIDList[1][153] = "メガニウム";
    	PBSSpeciesIDList[0][154] = "155"; PBSSpeciesIDList[1][154] = "ヒノアラシ";
    	PBSSpeciesIDList[0][155] = "156"; PBSSpeciesIDList[1][155] = "マグマラシ";
    	PBSSpeciesIDList[0][156] = "157"; PBSSpeciesIDList[1][156] = "バクフーン";
    	PBSSpeciesIDList[0][157] = "158"; PBSSpeciesIDList[1][157] = "ワニノコ";
    	PBSSpeciesIDList[0][158] = "159"; PBSSpeciesIDList[1][158] = "アリゲイツ";
    	PBSSpeciesIDList[0][159] = "160"; PBSSpeciesIDList[1][159] = "オーダイル";
    	PBSSpeciesIDList[0][160] = "161"; PBSSpeciesIDList[1][160] = "オタチ";
    	PBSSpeciesIDList[0][161] = "162"; PBSSpeciesIDList[1][161] = "オオタチ";
    	PBSSpeciesIDList[0][162] = "163"; PBSSpeciesIDList[1][162] = "ホーホー";
    	PBSSpeciesIDList[0][163] = "164"; PBSSpeciesIDList[1][163] = "ヨルノズク";
    	PBSSpeciesIDList[0][164] = "165"; PBSSpeciesIDList[1][164] = "レディバ";
    	PBSSpeciesIDList[0][165] = "166"; PBSSpeciesIDList[1][165] = "レディアン";
    	PBSSpeciesIDList[0][166] = "167"; PBSSpeciesIDList[1][166] = "イトマル";
    	PBSSpeciesIDList[0][167] = "168"; PBSSpeciesIDList[1][167] = "アリアドス";
    	PBSSpeciesIDList[0][168] = "169"; PBSSpeciesIDList[1][168] = "クロバット";
    	PBSSpeciesIDList[0][169] = "170"; PBSSpeciesIDList[1][169] = "チョンチー";
    	PBSSpeciesIDList[0][170] = "171"; PBSSpeciesIDList[1][170] = "ランターン";
    	PBSSpeciesIDList[0][171] = "172"; PBSSpeciesIDList[1][171] = "ピチュー";
    	PBSSpeciesIDList[0][172] = "173"; PBSSpeciesIDList[1][172] = "ピィ";
    	PBSSpeciesIDList[0][173] = "174"; PBSSpeciesIDList[1][173] = "ププリン";
    	PBSSpeciesIDList[0][174] = "175"; PBSSpeciesIDList[1][174] = "トゲピー";
    	PBSSpeciesIDList[0][175] = "176"; PBSSpeciesIDList[1][175] = "トゲチック";
    	PBSSpeciesIDList[0][176] = "177"; PBSSpeciesIDList[1][176] = "ネイティ";
    	PBSSpeciesIDList[0][177] = "178"; PBSSpeciesIDList[1][177] = "ネイティオ";
    	PBSSpeciesIDList[0][178] = "179"; PBSSpeciesIDList[1][178] = "メリープ";
    	PBSSpeciesIDList[0][179] = "180"; PBSSpeciesIDList[1][179] = "モココ";
    	PBSSpeciesIDList[0][180] = "181"; PBSSpeciesIDList[1][180] = "デンリュウ";
    	PBSSpeciesIDList[0][181] = "182"; PBSSpeciesIDList[1][181] = "キレイハナ";
    	PBSSpeciesIDList[0][182] = "183"; PBSSpeciesIDList[1][182] = "マリル";
    	PBSSpeciesIDList[0][183] = "184"; PBSSpeciesIDList[1][183] = "マリルリ";
    	PBSSpeciesIDList[0][184] = "185"; PBSSpeciesIDList[1][184] = "ウソッキー";
    	PBSSpeciesIDList[0][185] = "186"; PBSSpeciesIDList[1][185] = "ニョロトノ";
    	PBSSpeciesIDList[0][186] = "187"; PBSSpeciesIDList[1][186] = "ハネッコ";
    	PBSSpeciesIDList[0][187] = "188"; PBSSpeciesIDList[1][187] = "ポポッコ";
    	PBSSpeciesIDList[0][188] = "189"; PBSSpeciesIDList[1][188] = "ワタッコ";
    	PBSSpeciesIDList[0][189] = "190"; PBSSpeciesIDList[1][189] = "エイパム";
    	PBSSpeciesIDList[0][190] = "191"; PBSSpeciesIDList[1][190] = "ヒマナッツ";
    	PBSSpeciesIDList[0][191] = "192"; PBSSpeciesIDList[1][191] = "キマワリ";
    	PBSSpeciesIDList[0][192] = "193"; PBSSpeciesIDList[1][192] = "ヤンヤンマ";
    	PBSSpeciesIDList[0][193] = "194"; PBSSpeciesIDList[1][193] = "ウパー";
    	PBSSpeciesIDList[0][194] = "195"; PBSSpeciesIDList[1][194] = "ヌオー";
    	PBSSpeciesIDList[0][195] = "196"; PBSSpeciesIDList[1][195] = "エーフィ";
    	PBSSpeciesIDList[0][196] = "197"; PBSSpeciesIDList[1][196] = "ブラッキー";
    	PBSSpeciesIDList[0][197] = "198"; PBSSpeciesIDList[1][197] = "ヤミカラス";
    	PBSSpeciesIDList[0][198] = "199"; PBSSpeciesIDList[1][198] = "ヤドキング";
    	PBSSpeciesIDList[0][199] = "200"; PBSSpeciesIDList[1][199] = "ムウマ";
    	PBSSpeciesIDList[0][200] = "201"; PBSSpeciesIDList[1][200] = "アンノーン";
    	PBSSpeciesIDList[0][201] = "202"; PBSSpeciesIDList[1][201] = "ソーナンス";
    	PBSSpeciesIDList[0][202] = "203"; PBSSpeciesIDList[1][202] = "キリンリキ";
    	PBSSpeciesIDList[0][203] = "204"; PBSSpeciesIDList[1][203] = "クヌギダマ";
    	PBSSpeciesIDList[0][204] = "205"; PBSSpeciesIDList[1][204] = "フォレトス";
    	PBSSpeciesIDList[0][205] = "206"; PBSSpeciesIDList[1][205] = "ノコッチ";
    	PBSSpeciesIDList[0][206] = "207"; PBSSpeciesIDList[1][206] = "グライガー";
    	PBSSpeciesIDList[0][207] = "208"; PBSSpeciesIDList[1][207] = "ハガネール";
    	PBSSpeciesIDList[0][208] = "209"; PBSSpeciesIDList[1][208] = "ブルー";
    	PBSSpeciesIDList[0][209] = "210"; PBSSpeciesIDList[1][209] = "グランブル";
    	PBSSpeciesIDList[0][210] = "211"; PBSSpeciesIDList[1][210] = "ハリーセン";
    	PBSSpeciesIDList[0][211] = "212"; PBSSpeciesIDList[1][211] = "ハッサム";
    	PBSSpeciesIDList[0][212] = "213"; PBSSpeciesIDList[1][212] = "ツボツボ";
    	PBSSpeciesIDList[0][213] = "214"; PBSSpeciesIDList[1][213] = "ヘラクロス";
    	PBSSpeciesIDList[0][214] = "215"; PBSSpeciesIDList[1][214] = "ニューラ";
    	PBSSpeciesIDList[0][215] = "216"; PBSSpeciesIDList[1][215] = "ヒメグマ";
    	PBSSpeciesIDList[0][216] = "217"; PBSSpeciesIDList[1][216] = "リングマ";
    	PBSSpeciesIDList[0][217] = "218"; PBSSpeciesIDList[1][217] = "マグマッグ";
    	PBSSpeciesIDList[0][218] = "219"; PBSSpeciesIDList[1][218] = "マグカルゴ";
    	PBSSpeciesIDList[0][219] = "220"; PBSSpeciesIDList[1][219] = "ウリムー";
    	PBSSpeciesIDList[0][220] = "221"; PBSSpeciesIDList[1][220] = "イノムー";
    	PBSSpeciesIDList[0][221] = "222"; PBSSpeciesIDList[1][221] = "サニーゴ";
    	PBSSpeciesIDList[0][222] = "223"; PBSSpeciesIDList[1][222] = "テッポウオ";
    	PBSSpeciesIDList[0][223] = "224"; PBSSpeciesIDList[1][223] = "オクタン";
    	PBSSpeciesIDList[0][224] = "225"; PBSSpeciesIDList[1][224] = "デリバード";
    	PBSSpeciesIDList[0][225] = "226"; PBSSpeciesIDList[1][225] = "マンタイン";
    	PBSSpeciesIDList[0][226] = "227"; PBSSpeciesIDList[1][226] = "エアームド";
    	PBSSpeciesIDList[0][227] = "228"; PBSSpeciesIDList[1][227] = "デルビル";
    	PBSSpeciesIDList[0][228] = "229"; PBSSpeciesIDList[1][228] = "ヘルガー";
    	PBSSpeciesIDList[0][229] = "230"; PBSSpeciesIDList[1][229] = "キングドラ";
    	PBSSpeciesIDList[0][230] = "231"; PBSSpeciesIDList[1][230] = "ゴマゾウ";
    	PBSSpeciesIDList[0][231] = "232"; PBSSpeciesIDList[1][231] = "ドンファン";
    	PBSSpeciesIDList[0][232] = "233"; PBSSpeciesIDList[1][232] = "ポリゴン２";
    	PBSSpeciesIDList[0][233] = "234"; PBSSpeciesIDList[1][233] = "オドシシ";
    	PBSSpeciesIDList[0][234] = "235"; PBSSpeciesIDList[1][234] = "ドーブル";
    	PBSSpeciesIDList[0][235] = "236"; PBSSpeciesIDList[1][235] = "バルキー";
    	PBSSpeciesIDList[0][236] = "237"; PBSSpeciesIDList[1][236] = "カポエラー";
    	PBSSpeciesIDList[0][237] = "238"; PBSSpeciesIDList[1][237] = "ムチュール";
    	PBSSpeciesIDList[0][238] = "239"; PBSSpeciesIDList[1][238] = "エレキッド";
    	PBSSpeciesIDList[0][239] = "240"; PBSSpeciesIDList[1][239] = "ブビィ";
    	PBSSpeciesIDList[0][240] = "241"; PBSSpeciesIDList[1][240] = "ミルタンク";
    	PBSSpeciesIDList[0][241] = "242"; PBSSpeciesIDList[1][241] = "ハピナス";
    	PBSSpeciesIDList[0][242] = "243"; PBSSpeciesIDList[1][242] = "ライコウ";
    	PBSSpeciesIDList[0][243] = "244"; PBSSpeciesIDList[1][243] = "エンテイ";
    	PBSSpeciesIDList[0][244] = "245"; PBSSpeciesIDList[1][244] = "スイクン";
    	PBSSpeciesIDList[0][245] = "246"; PBSSpeciesIDList[1][245] = "ヨーギラス";
    	PBSSpeciesIDList[0][246] = "247"; PBSSpeciesIDList[1][246] = "サナギラス";
    	PBSSpeciesIDList[0][247] = "248"; PBSSpeciesIDList[1][247] = "バンギラス";
    	PBSSpeciesIDList[0][248] = "249"; PBSSpeciesIDList[1][248] = "ルギア";
    	PBSSpeciesIDList[0][249] = "250"; PBSSpeciesIDList[1][249] = "ホウオウ";
    	PBSSpeciesIDList[0][250] = "251"; PBSSpeciesIDList[1][250] = "セレビィ";

    	for (int i = 0;i < 251; i++) {
    		PBSSpeciesIDMap.put(PBSSpeciesIDList[1][i],PBSSpeciesIDList[0][i]);
    		PBSIDSpeciesMap.put(PBSSpeciesIDList[0][i],PBSSpeciesIDList[1][i]);
    	}

    }

	/* 種族名からIDを取得するメソッド
	 *   引数　：種族名（String）
	 *   戻り値：ID（String）
	 *   例外　：無し（種族名に不正があっても例外を出さずに初期値採用で先に進む）
	 */
    public String IDGet(String Species) {
    	String ID;
    	ID = PBSSpeciesIDMap.get(Species);
    	if (ID == null) {
    		ID = "0";
    	}
    	return ID;
    }

	/* IDから種族名を取得するメソッド
	 *   引数　：ID（String）
	 *   戻り値：種族名（String）
	 *   例外　：無し（種族名に不正があっても例外を出さずに初期値採用で先に進む）
	 */
    public String SpeciesGet(String ID) {
    	String Species;
    	Species = PBSIDSpeciesMap.get(ID);
    	if (Species == null) {
    		Species = "けつばん";
    	}
    	return Species;
    }

}
